import { axios } from '@archser/layout-ui'

const SERVICE_URL = '/aserver'
/**
 * 获取所有系统
 */
export const getSystems = (params) => {
  return axios.request({
    url: SERVICE_URL + '/system',
    params: params,
    method: 'get'
  })
}

export const create = () => {
  return axios.get(SERVICE_URL + '/key/create')
}

export const addorEdit = params => {
  return axios.request({
    url: SERVICE_URL + '/system/addorEdit',
    data: params,
    method: 'post'
  })
}

export const dele = params => {
  return axios.request({
    url: SERVICE_URL + '/system/dele',
    data: params,
    method: 'post'
  })
}
